# class Gtk::ToolButton

### Public Class Methods

new(options={}) click to toggle source

    # File lib/gtk3/tool-button.rb, line 20
    def initialize(options={})
      icon_widget = options[:icon_widget]
      label       = options[:label]
      stock_id    = options[:stock_id]

      if icon_widget
        initialize_new(icon_widget)
      elsif stock_id
        initialize_new_from_stock(stock_id)
      else
        initialize_new
      end

      set_label(label) if label
    end

Also aliased as: initialize_raw

### Public Instance Methods

initialize_raw(options={})
Alias for: new